html {
    overflow-x: hidden;
    scroll-behavior: smooth;
    scroll-padding-top: 7rem;
}

html::-webkit-scrollbar {
    width: 0.5rem;
}

html::-webkit-scrollbar-track {
    background: transparent;
}

html::-webkit-scrollbar-thumb {
    background: #231f20;
    border-radius: 30px;
}

.navbar-toggler-icon {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='%23231F20' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}

body {
    margin: 0 !important;
    padding: 0 !important;
    font-family: "Montserrat", sans-serif;
    overflow-x: hidden !important;
}

button {
    white-space: nowrap !important;
}

.btn-white {
    background-color: #fff;
    color: #231f20;
}

.btn-white:hover {
    color: white;
}

.btn-primary {
    background-color: #231f20;
    color: white;
}

.btn-primary:hover {
    color: #231f20 !important;
    background-color: transparent !important;
    border: 1px solid #231f20 !important;
}

.btn-bg-black-primary {
    color: #fff !important;
    background-color: #2b2b2b !important;
}

.btn-bg-black-primary:hover {
    color: #2b2b2b !important;
    border: 1px solid #2b2b2b;
    background-color: transparent !important;
}

.btn-color-primary-two {
    background-color: #2b2b2b !important;
    color: #fff !important;
}

.btn-color-primary-two:hover {
    color: #2b2b2b !important;
    background-color: white !important;
    border: 1px solid #2b2b2b !important;
}

.btn-outline-red {
    color: #fa0200 !important;
    border-color: #fa0200 !important;
    background-color: transparent;
}

.btn-gray {
    color: black !important;
    border: none !important;
    background-color: #e6e6e6 !important;
}

.btn-outline-dark:hover {
    color: white !important;
}

.btn-outline-dark:hover img {
    filter: brightness(0) invert(1) !important;
}

header {
    border-bottom: 1px solid #eee;
}

nav ul li .link-hover::after {
    content: "";
    height: 2px;
    width: 0%;
    background-color: #231f20;
    transition: 0.5s;
    margin: auto;
    display: block;
}

nav ul li .link-hover:hover::after {
    width: 100%;
    color: black;
}

.has-search .form-control {
    padding-inline: 3.375rem;
}

.has-search .form-control-feedback {
    position: absolute;
    z-index: 2;
    display: block;
    line-height: 2.375rem;
    text-align: center;
    pointer-events: none;
    color: #aaa;
}

.dropdown-menu {
    width: 200px;
}

.notification-dropdown .dropdown-menu {
    width: 387px !important;
    left: auto !important;
    right: -108px !important;
}

.notification-dropdown .dropdown-menu li a {
    white-space: normal !important;
}

.color-circle {
    background-color: #d8bdf4;
    width: 100px;
    height: 100px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.color-circle img {
    height: auto;
}

.my-profile-club.nav-pills .nav-link.active {
    background-color: #000 !important;
    color: white !important;
}

.nav-width.nav-pills .nav-link.active {
    width: -webkit-fill-available !important;
}

.avatar-upload {
    position: relative;
}

.avatar-upload .avatar-edit {
    position: absolute;
    left: 15px;
    z-index: 1;
    bottom: 8px;
}

.avatar-upload .avatar-edit input {
    display: none;
}

.avatar-upload .avatar-edit input+label {
    display: inline-block;
    width: 34px;
    height: 34px;
    margin-bottom: 0;
    border-radius: 100%;
    background: #231f20 !important;
    border: 1px solid transparent;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
    cursor: pointer;
    font-weight: normal;
    transition: all 0.2s ease-in-out;
}

.avatar-upload .avatar-edit input+label:hover {
    background: #231f20 !important;
    border-color: #231f20;
}

.avatar-upload .avatar-edit input+label:after {
    content: "\f040";
    font-family: "FontAwesome";
    color: white;
    position: absolute;
    top: 5px;
    left: 0;
    right: 0;
    text-align: center;
    margin: auto;
}

.avatar-upload .avatar-preview {
    width: 192px;
    height: 192px;
    position: relative;
    border-radius: 100%;
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}

.avatar-upload .avatar-preview>div {
    width: 100%;
    height: 100%;
    border-radius: 100%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}

.bg-green {
    background-color: #2faa34 !important;
}

.bg-yellow {
    background-color: #fac711 !important;
}

.bg-red {
    background-color: #fa0200 !important;
}

.bg-gray {
    background-color: #C4C4C4 !important;
}

.datepicker table {
    border-collapse: separate;
    border-spacing: 15px !important;
}

.dropdown-menu {
    width: max-content !important;
}

.prev,
.next {
    color: black !important;
    background: transparent !important;
}

.text-bg-success-green {
    background-color: rgba(199, 245, 172, 0.8) !important;
    border: 1px solid rgba(199, 245, 172, 0.8) !important;
    color: #2faa34 !important;
}

.calendar {
    margin: 20px auto;
    overflow: hidden;
    width: fit-content;
    border-radius: 5px;
    padding: 10px;
}

.days {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 5px;
}

.day {
    background-color: #f7f7f7 !important;
    padding: 10px;
    text-align: center;
}

.day.selected {
    background-color: black !important;
    color: white;
}

.day.current-day {
    background-color: black !important;
    color: white;
}

.container-calender .calendar {
    width: -webkit-fill-available !important;
    border-radius: 25px;
    overflow: hidden;
}

.container-calender .calendar-header {
    display: flex;
    justify-content: space-between;
    border-radius: 7px;
    align-items: center;
    font-weight: 700;
    color: #000 !important;
}

.container-calender .calendar-body {
    padding: 10px;
}

.container-calender .calendar-week-days {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    font-weight: 600;
    cursor: pointer;
    color: rgb(104, 104, 104);
}

.container-calender .calendar-week-days div:hover {
    color: black;
    transform: scale(1.2);
    transition: all 0.2s ease-in-out;
}

.container-calender .calendar-week-days div {
    display: grid;
    place-items: center;
    color: #000 !important;
}

.container-calender .calendar-days {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    gap: 2px;
    color: #0a0921;
}

.container-calender .calendar-days div {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    position: relative;
    cursor: pointer;
    animation: to-top 1s forwards;
}

.container-calender .month-picker {
    padding: 5px 10px;
    border-radius: 10px;
    cursor: pointer;
}

.container-calender .year-picker {
    display: flex;
    align-items: center;
}

.container-calender .year-change {
    height: 30px;
    width: 30px;
    border-radius: 50%;
    display: grid;
    place-items: center;
    margin: 0px 10px;
    cursor: pointer;
}

.container-calender .year-change:hover {
    background-color: #9796f0;
    transition: all 0.2s ease-in-out;
    transform: scale(1.12);
}

.container-calender .calendar-footer {
    padding: 10px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.container-calender #year:hover {
    cursor: pointer;
    transform: scale(1.2);
    transition: all 0.2 ease-in-out;
}

.container-calender .calendar-days div span {
    position: absolute;
}

.container-calender .calendar-days div {
    background-color: #fcfcfc !important;
    margin: 10px 10px 10px 10px !important;
}

.container-calender .calendar-days div:hover {
    transition: width 0.2s ease-in-out, height 0.2s ease-in-out;
    background-color: #fcfcfc !important;
}

.container-calender .calendar-days div.current-date {
    color: #f8fbff;
    background-color: #000 !important;
    border-radius: 20%;
}

.container-calender .month-list {
    position: relative;
    left: 0;
    top: -130px;
    background-color: #ebebeb;
    color: #151426;
    display: grid;
    grid-template-columns: repeat(3, auto);
    gap: 5px;
    border-radius: 20px;
}

.container-calender .month-list>div {
    display: grid;
    place-content: center;
    margin: 5px 10px;
    transition: all 0.2s ease-in-out;
}

.container-calender .month-list>div>div {
    border-radius: 15px;
    padding: 10px;
    cursor: pointer;
}

.container-calender .month-list>div>div:hover {
    background-color: #9796f0;
    color: #f8fbff;
    transform: scale(0.9);
    transition: all 0.2s ease-in-out;
}

.container-calender .month-list.show {
    visibility: visible;
    pointer-events: visible;
    transition: 0.6s ease-in-out;
    animation: to-left 0.71s forwards;
}

.container-calender .month-list.hideonce {
    visibility: hidden;
}

.container-calender .month-list.hide {
    animation: to-right 1s forwards;
    visibility: none;
    pointer-events: none;
}

.container-calender .time-formate.hideTime {
    animation: hidetime 1.5s forwards;
}

.container-calender .day-text-formate.hidetime {
    animation: hidetime 1.5s forwards;
}

.container-calender .date-formate.hideTime {
    animation: hidetime 1.5s forwards;
}

.container-calender .day-text-formate.showtime {
    animation: showtime 1s forwards;
}

.container-calender .time-formate.showtime {
    animation: showtime 1s forwards;
}

.container-calender .date-formate.showtime {
    animation: showtime 1s forwards;
}

@keyframes to-top {
    0% {
        transform: translateY(0);
        opacity: 0;
    }

    100% {
        transform: translateY(100%);
        opacity: 1;
    }
}

@keyframes to-left {
    0% {
        transform: translatex(230%);
        opacity: 1;
    }

    100% {
        transform: translatex(0);
        opacity: 1;
    }
}

@keyframes to-right {
    10% {
        transform: translatex(0);
        opacity: 1;
    }

    100% {
        transform: translatex(-150%);
        opacity: 1;
    }
}

@keyframes showtime {
    0% {
        transform: translatex(250%);
        opacity: 1;
    }

    100% {
        transform: translatex(0%);
        opacity: 1;
    }
}

@keyframes hidetime {
    0% {
        transform: translatex(0%);
        opacity: 1;
    }

    100% {
        transform: translatex(-370%);
        opacity: 1;
    }
}

.mt-n10 {
    margin-top: -13rem !important;
}

.my-profile.nav-pills .nav-link.active {
    background-color: #333333 !important;
    color: white !important;
}

.my-profile .nav-link img {
    filter: grayscale(100%) brightness(0.5);
}

.my-profile .nav-link.active img {
    filter: grayscale(0%) brightness(1);
}

.nav-link {
    text-wrap: nowrap;
}

.my-profile .fs-14 {
    font-size: 14px !important;
}

.hidden {
    display: none;
}

.text-green {
    color: #2faa34 !important;
}

.row-background {
    background-image: url("../images/Group 1000002838.png");
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat !important;
}

.edit-text {
    color: #ababab !important;
}

.border-card-color {
    border: 1px solid #dee2e7 !important;
}

.cursor-pointer {
    cursor: pointer !important;
}

.card-text-home .card-title {
    font-size: 20px !important;
}

.card-text-home .card-text {
    line-height: 15.4px !important;
}

.c-item {
    height: 380px;
}

.c-img {
    width: 100%;
    height: 100%;
    filter: brightness(0.6);
    /* object-fit: cover; */
    border-radius: 30px 30px 0 0;
    object-position: center;
}

.count-down {
    border-radius: 0 0 30px 30px;
}

.clock-timer {
    width: 34px;
    height: 34px;
    padding: 5px !important;
    font-weight: 500 !important;
}

.section-title a {
    color: #454545 !important;
    font-weight: 400 !important;
}

.clothes-slider-nav {
    position: relative;
    top: -20px;
    text-align: right;
}

.clothes-slider-nav .prev,
.clothes-slider-nav .next {
    display: inline-block;
    width: 40px;
    height: 40px;
    line-height: 36px;
    border-radius: 50%;
    color: #fff !important;
    background-color: #2b2b2b !important;
    border: 2px solid #2b2b2b !important;
    font-size: 18px;
    text-align: center;
    cursor: pointer;
    transition: all 0.4s linear;
}

.prev:hover,
.next:hover {
    border-color: #ffc600;
    background-color: #ffc600;
}

.end-custom {
    right: 34px !important;
    top: 25px !important;
}

.text-card-clothes {
    color: #ababab !important;
}

.fa-heart {
    background-color: #fff;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.fa-solid.fa-heart {
    background-color: #fff;
    color: #231f20 !important;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
}

.img-wrapper {
    aspect-ratio: 4/3 !important;
    overflow: hidden;
}

.home-cards-img {
    width: auto;
    height: 100%;
}

.fa-star {
    color: #fac711;
}

.text-red {
    color: #fa0200 !important;
}

.selected {
    background-color: #f7f7f7 !important;
    border: 1px solid black !important;
}

.size-option {
    cursor: pointer !important;
}

/* Product Color */
.product-color {
    margin-bottom: 30px;
}

.product-color .color-choose div {
    display: inline-block;
}

.product-color .color-choose input[type="radio"] {
    display: none;
}

.product-color .color-choose input[type="radio"]+label span {
    display: inline-block;
    width: 40px;
    height: 40px;
    margin: -1px 4px 0 0;
    vertical-align: middle;
    cursor: pointer;
    border-radius: 50%;
}

.product-color .color-choose input[type="radio"]+label span {
    border: 2px solid #ffffff;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.33);
}

.product-color .color-choose input[type="radio"]:checked+label span {
    border: 2px solid #000000;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.75);
    background-image: url(images/check-icn.svg);
    background-repeat: no-repeat;
    background-position: center;
}

.cart-color {
    display: inline-block;
    width: 20px;
    height: 20px;
    margin: -1px 4px 0 0;
    vertical-align: middle;
    cursor: pointer;
    border-radius: 50%;
    border: 1px solid black;
}

.input-wrapper-two {
    width: 100px !important;
    height: 40px !important;
    display: flex;
    justify-content: center;
}

.input-wrapper-two * {
    border: none;
    width: 25px !important;
    flex: 1;
}

.input-wrapper {
    width: 150px;
    height: 45px;
    display: flex;
    justify-content: center;
}

.input-wrapper-product {
    width: 100px;
    height: 45px;
    display: flex;
    justify-content: center;
    border: 1px solid #919191 !important;
}

.input-wrapper * {
    border: none;
    width: 30px;
    flex: 1;
}

.input-wrapper button {
    cursor: pointer;
}

.text-black-300 {
    color: #ababab;
}

.nav-tabs .nav-link.active,
.nav-tabs .nav-item.show .nav-link {
    color: black !important;
    border-bottom: 1px solid #dee2e6 !important;
    border-top: none !important;
    border-right: none !important;
    border-left: none !important;
    font-weight: 600;
}

.nav-tabs .nav-link {
    color: #ababab !important;
    font-weight: 600;
}

.taps-text-color {
    color: #787878 !important;
}

.text-blue {
    color: #0b1a2d !important;
}

.fw-500 {
    font-weight: 500 !important;
}

.rating-text {
    color: #a5a5a5 !important;
}

.review-text {
    color: #505050 !important;
}

.yellow {
    color: #fac711 !important;
}

.accordion-button::after {
    content: "";
    background-image: url(../images/Arrow\ -\ Up\ 3.svg);
}

.accordion-button:not(.collapsed)::after {
    background-image: url(../images/Arrow\ -\ Up\ 3.svg);
}

.intl-tel-input {
    width: -webkit-fill-available !important;
}

.intl-tel-input .selected-flag .iti-arrow {
    display: none !important;
}

.toggle-password {
    float: right;
    cursor: pointer;
    margin-right: 10px;
    margin-top: -25px;
}

input:focus {
    border: 1px solid #231f20;
    box-shadow: none !important;
}

.social-links a {
    width: 40px;
    height: 40px;
    border: 1px solid rgba(255, 255, 255, 0.2);
    color: rgba(255, 255, 255, 0.7);
    transition: 0.3s;
}

.social-links a:hover {
    color: #fff;
    border-color: #fff;
}

.Footer-global {
    background-color: #2b2b2b !important;
}

.hover-link-footer:hover {
    transform: translateX(5px) !important;
    transition: transform 0.3s ease !important;
}

.text-privacy {
    color: #646464 !important;
}

.Trainers-card .card-title {
    height: 40px !important;
}

.text-primary-two {
    color: #2b2b2b;
}

.bg-primary-two {
    background-color: #2b2b2b;
}

.input-container {
    position: relative;
    display: flex;
    align-items: center;
}

.input-container input {
    flex: 1;
}

.input-container button {
    position: absolute;
    right: 5px;
}

.copy-message {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 10px;
    background-color: #231f20;
    color: white !important;
    border: 1px solid #231f20;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.appointment-form input[type="radio"]:checked~.appointment-lable {
    box-shadow: 0px 0px 0px 1px black !important;
}

.appointment-form input[type="radio"] {
    display: none;
}

.form-week .col-md-2 input[type="radio"]:checked+.appointment-lable {
    background-color: black !important;
    color: white !important;
}

.text-muted {
    color: #ababab !important;
}

.bg-badge {
    background-color: #f0f0f0 !important;
    color: black !important;
}

.bg-badge-white {
    background-color: transparent !important;
    color: black !important;
}

.fs-12 {
    font-size: 12px !important;
}

.fs-14 {
    font-size: 14px !important;
}

@media only screen and (max-width: 600px) {
    .small-text {
        font-size: 12px !important;
    }

    .normal-text {
        font-size: 14px !important;
    }

    .heading-text {
        font-size: 24px;
    }
}

.back-to-top {
    position: fixed;
    width: 45px;
    height: 45px;
    bottom: 20px;
    right: 10px;
    background-color: #231f20;
    color: #fff;
    border-radius: 50px;
    font-size: 20px !important;
    display: none;
    z-index: 2;
    justify-content: center;
    align-items: center;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.3);
}

.back-to-top img {
    filter: invert(100%) sepia(100%) saturate(0%) hue-rotate(162deg) brightness(101%) contrast(104%);
}

.btn-phone i {
    line-height: 1;
}

.whats-app {
    position: fixed;
    width: 45px;
    height: 45px;
    bottom: 70px;
    right: 10px;
    background-color: #231f20;
    color: #fff;
    align-items: center;
    border-radius: 50px;
    text-align: center;
    font-size: 23px;
    z-index: 4;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none !important;
}

.loader {
    position: fixed;
    overflow: hidden;
    z-index: 100;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: #1f1f1f;
    color: #4b4b4b;
    text-align: center;
}

.spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 60px;
    height: 60px;
    transform: translate(-50%, -50%);
}

.ball {
    list-style: none;
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: #fff;
}

.ball:nth-child(1) {
    animation: bounce-1 2.1s ease-in-out infinite;
}

@keyframes bounce-1 {
    50% {
        transform: translateY(-90px);
        scale: 0.3;
    }
}

.ball:nth-child(2) {
    animation: bounce-3 2.1s ease-in-out 0.3s infinite;
}

@keyframes bounce-2 {
    50% {
        transform: translateY(-90px);
        scale: 0.3;
    }
}

.ball:nth-child(3) {
    animation: bounce-3 2.1s ease-in-out 0.6s infinite;
}

@keyframes bounce-3 {
    50% {
        transform: translateY(-90px);
        scale: 0.3;
    }
}

.mx-4-5 {
    margin-right: 2rem !important;
    margin-left: 2rem !important;
}

/* General Text Colors */
.text-dark {
    color: #212529;
    /* Dark Gray - Bootstrap's dark color */
}

.text-light {
    color: #f8f9fa;
    /* Light Gray - Bootstrap's light color */
}

.text-primary {
    color: #007bff;
    /* Bootstrap Primary Blue */
}

.text-secondary {
    color: #6c757d;
    /* Bootstrap Secondary Gray */
}

.text-success {
    color: #28a745;
    /* Bootstrap Success Green */
}

.text-danger {
    color: #dc3545;
    /* Bootstrap Danger Red */
}

.message-danger {
    color: #dc3545 !important;
    /* Bootstrap Danger Red */
}

.text-warning {
    color: #ffc107;
    /* Bootstrap Warning Yellow */
}

.text-info {
    color: #17a2b8;
    /* Bootstrap Info Cyan */
}

.text-muted {
    color: #6c757d;
    /* Muted Gray */
}

/* Specific Colors for Statuses with Enhanced Shades */
.text-yellow {
    color: #f1c40f;
    /* Bright Yellow */
}

.text-orange {
    color: #e67e22;
    /* Bright Orange */
}

.text-blue {
    color: #3498db;
    /* Bright Blue */
}

.text-purple {
    color: #9b59b6;
    /* Medium Purple */
}

.text-green {
    color: #2ecc71;
    /* Bright Green */
}

.text-red {
    color: #e74c3c;
    /* Bright Red */
}

.text-gray {
    color: #95a5a6;
    /* Light Gray */
}

.selectedItem {
    box-shadow: 0 0 0 1px black !important;
}

.intl-tel-input {
    direction: ltr;
}

.bg-black {
    background-color: #000 !important;
    color: #fff !important;
}


footer ul {
    padding-inline: 0px !important;
}

.slick-dots {
    display: flex;
    justify-content: center;
    margin: 0;
    padding: 1rem 0;
    list-style-type: none;
}

.slick-dots button {
    display: block;
    margin-inline: 3px;
    border: none;
    width: 28.75px;
    height: 9px;
    border-radius: 24px;
    background-color: #b1b1b1;
    text-indent: -9999px;
}

li.slick-active button {
    background-color: black;
}

.offcanvas {
    z-index: 111111111111111111111111111;
}


.nav-item .active {
    border-bottom: 2px solid #000 !important;
}